#version 330 core
out vec4 FragColor;
in vec2 TexCoord;
uniform sampler2D Texture;
uniform float AddColor;
uniform float Transparency;
void main() {
	FragColor = texture(Texture, TexCoord);
	FragColor.x *= AddColor;
	FragColor.y *= AddColor;
	FragColor.z *= AddColor;
	FragColor.a *= Transparency;
}